Summary: DBD Mysql perl Emulation Layer
Name: perl-Mysql
Version: 1.19_14
Release: 1mdk
Copyright: GPL
Group: Development/Libraries/Perl
Source: ftp://ftp.perl.com/CPAN/modules/by-module/DBD/Msql-Mysql-modules-%{version}.tar.bz2
URL: http://www.tcx.se/
Icon: mysql.gif
Buildroot: %{_tmppath}/%{name}-root

%description
DBD::mysql is an interface driver for connecting the DBMS independent
Perl-API DBI to the mysql DBMS. When you want to use mysql from
within perl, DBI and DBD::mysql are your best choice: Unlike "mysqlperl",
another option, this is based on a common standard, so your sources
will easily be portable to other DBMS's.


%prep
%setup -n Msql-Mysql-modules-%{version}
%build
perl Makefile.PL
perl -p -i -e 's/CR_SERVER_GONE_ERROR/SERVER_GONE_ERROR/g' dbd/myMsql.h
make CC='cc -DENGLISH'

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/5.005/%{_arch}-linux/auto/Msql-Mysql-modules/
make install PREFIX=$RPM_BUILD_ROOT/usr

if [ -d $RPM_BUILD_ROOT/usr/man ]; then
  find $RPM_BUILD_ROOT/usr/man -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/info ]; then
  find $RPM_BUILD_ROOT/usr/info -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/X11R6/man ]; then
  find $RPM_BUILD_ROOT/usr/X11R6/man -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/lib/perl5/man ]; then
  find $RPM_BUILD_ROOT/usr/lib/perl5/man -type f -exec bzip2 -9f {} \;
fi


%files
%defattr(-,root,root)
/usr/lib/perl5/site_perl/5.005/%{_arch}-linux/auto/Msql-Mysql-modules/.packlist
/usr/lib/perl5/site_perl/5.005/%{_arch}-linux/auto/DBD/mysql/mysql.so
/usr/lib/perl5/site_perl/5.005/%{_arch}-linux/auto/DBD/mysql/mysql.bs
/usr/lib/perl5/site_perl/5.005/%{_arch}-linux/DBD/mysql.pm
/usr/lib/perl5/man/man3/DBD::mysql.3.bz2
/usr/man/man1/dbimon.1.bz2
/usr/bin/dbimon

%changelog
* Tue Dec 14 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- finish tidying files so it builds

* Sun Dec 05 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- backdown to 1.19_14 to match MySQL_GPL
- replace i386-linux w/ %%{_arch}

* Thu Dec 02 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Adapt specfile for Linux-Mandrake

